indexing

   description: "Class that covers the POSIX stream code."

   author: "Berend de Boer"
   date: "$Date: Fri, 13 Oct 2000 13:36:48 +0200 $";
   revision: "$Revision: 1.5 $"

deferred class 

   POSIX_FILE


inherit

   STDC_FILE
   
   POSIX_BASE

   PAPI_STDIO


feature  -- special makes

   make_from_file_descriptor (a_file_descriptor: BASE_FILE_DESCRIPTOR; 
                              a_mode: STRING) is
         -- open a stream from a given file descriptor
         -- The file descriptor remains leading so when this object is
         -- garbage collected it will not close itself.
      require
         is_closed: not is_open
         valid_fildes: a_file_descriptor /= Void and then
                       a_file_descriptor.is_open
         -- valid_mode: a_mode is a valid posix mode
      local
         cmode: POINTER
      do
         do_make
         cmode := sh.string_to_pointer (a_mode)
         stream := posix_fdopen (a_file_descriptor.value, cmode)
         if not is_open then
            raise_posix_error
         end
         mode := a_mode
         a_file_descriptor.disable_close
      ensure
         opened: is_open
      end
   
   
feature -- queries
   
   file_descriptor: POSIX_FILE_DESCRIPTOR is
      do         
         create Result.make_from_file (Current)
      end

 
end -- class POSIX_FILE
