indexing

   description: "Standard C symbolic constants."
   
   usage: "All constants are placed in a separate class so they can be %
   %easily used in other classes by facility inheritance."
      
   author: "Berend de Boer"
   date: "$Date: Fri, 13 Oct 2000 18:35:17 +0200 $"
   revision: "$Revision: 1.4 $"

class 

   STDC_CONSTANTS

   
feature -- error codes
   
   EDOM: INTEGER is
      -- Math argument out of domain of function
      external "C"
      alias "const_edom"
      end

   ERANGE: INTEGER is
      -- Math result not representable
      external "C"
      alias "const_erange"
      end


feature {NONE} -- standard streams

   stream_stdin: POINTER is
      external "C"
      end

   stream_stdout: POINTER is
      external "C"
      end
   
   stream_stderr: POINTER is
      external "C"
      end


feature {NONE} -- characters

  const_EOF: INTEGER is
         -- signals EOF
      external "C"
      alias "const_eof"
      end


feature {NONE} -- buffering

  IOFBF: INTEGER is
         -- full buffering
      external "C"
      alias "const_iofbf"
      end

  IOLBF: INTEGER is
         -- line buffering
      external "C"
      alias "const_iolbf"
      end
   
  IONBF: INTEGER is
         -- no buffering
      external "C"
      alias "const_ionbf"
      end


feature {NONE} -- file positioning

   SEEK_SET: INTEGER is
      external "C"
      alias "const_seek_set"
      end

   SEEK_CUR: INTEGER is
      external "C"
      alias "const_seek_cur"
      end

   SEEK_END: INTEGER is
      external "C"
      alias "const_seek_end"
      end

   
feature {NONE_PATH} -- Signal related constants

   SIG_DFL: POINTER is
      external "C"
      alias "const_sig_dfl"
      end

   SIG_IGN: POINTER is
      external "C"
      alias "const_sig_ign"
      end


feature -- Signals

   SIGABRT: INTEGER is
      external "C"
      alias "const_sigabrt"
      end
   
   SIGTERM: INTEGER is
      external "C"
      alias "const_sigterm"
      end


feature -- category constants

   LC_CTYPE: INTEGER is
      external "C"
      alias "const_lc_ctype"
      end

   LC_NUMERIC: INTEGER is
      external "C"
      alias "const_lc_numeric"
      end

   LC_TIME: INTEGER is
      external "C"
      alias "const_lc_time"
      end

   LC_COLLATE: INTEGER is
      external "C"
      alias "const_lc_collate"
      end

   LC_MONETARY: INTEGER is
      external "C"
      alias "const_lc_monetary"
      end

   LC_ALL: INTEGER is
      external "C"
      alias "const_lc_all"
      end

   
end -- class STDC_CONSTANTS
