indexing

   description: "Base class to converts arrays to pointers."

   date: "$Date: Fri, 13 Oct 2000 13:36:48 +0200 $"
   revision: "$Revision: 1.4 $"


class 

   ABSTRACT_ARRAY_HELPER

inherit
   
   EXTERNAL_HELPER


feature
   
   string_array_to_pointer_array (a: ARRAY[STRING]): ARRAY[POINTER] is
         -- convert ARRAY[STRING] to char ** (ARRAY[POINTER])
         -- resulting array is null terminated
         -- result of this can be passed to pointer_array_to_pointer
      local
         i: INTEGER
         s: STRING
      do
         -- create new array with room for null terminator
         if a.item (a.upper) = Void then
            create Result.make (a.lower, a.upper)
         else
            create Result.make (a.lower, a.upper+1)
         end

         -- copy the strings in the new array as pointers
         from
            i := a.lower
         until
            i > a.upper
         loop
            s := a.item (i)
            if s = Void then
               Result.put (default_pointer, i)
            else
               Result.put (sh.string_to_pointer(s), i)
            end
            i := i + 1
         end
         Result.put (default_pointer, Result.upper)
      ensure
         null_terminated: Result.item(Result.upper) = default_pointer
      end


end -- class ABSTRACT_ARRAY_HELPER
