indexing

	description: "Test POSIX user class."

  author: "Berend de Boer"
	date: "$Date: Mon, 25 Sep 2000 19:50:23 +0200 $"
	revision: "$Revision: 1.2 $"

class TEST_P_USER

inherit
   
   POSIX_CURRENT_PROCESS
   

creation
   
   make
   

feature

   make is
      local
         user: POSIX_USER
         db: POSIX_USER_DATABASE
      do
         print ("Begin test user.%N")

         create user.make_from_name ("root")
         print_user (user)

         print ("%N")
         create user.make_from_uid (user.uid)
         print_user (user)
         user.refresh

         print ("%N")
         create user.make_from_name (login_name)
         user.refresh
         print_user (user)

         print ("Access user database.%N")
         create db
         if db.is_existing_uid (0) then
            print ("uid 0 exists.%N")
         else
            print ("!! uid 0 does not exist.%N")
         end
         if db.is_existing_login ("root") then
            print ("user root exists.%N")
         else
            print ("!! user root does not exist.%N")
         end
         if db.is_existing_uid (61431) then
            print ("!! uid 61431 unexpectedly exists :-) .%N")
            create user.make_from_uid (61431)
            print_user (user)
         else
            print ("uid 61431 does not exist.%N")
         end
            
         print ("End test user.%N")         
      end

   print_user (user: POSIX_USER) is
      do
         print ("login: ")
         print (user.name)
         print ("%N")
         print ("uid: ")
         print (user.uid)
         print ("%N")                         
         print ("gid: ")
         print (user.gid)
         print ("%N")                         
         print ("home: ")
         print (user.home_directory)
         print ("%N")                         
         print ("shell: ")
         print (user.shell)
         print ("%N")                         
      end


end -- class TEST_P_USER
